Table of Contents

mod_php5

mod_php5 brings together the PHP programming language and the Apache HTTP server. It also prevents the need to start an external interpreter and the overhead this method would cause.

Installation

Ubuntu

10.04 Lucid and above

You need a working PHP 5.x before you can use mod_php5.

Simply install the following package(s):

The Apache module should be active by default, but you can use

a2enmod php5

to make sure it is enabled.

The file types handled by PHP are set by a AddType directive. The package creates a basic configuration at /etc/apache2/mods-available/php5.conf. It will be included automatically on Apache's startup.

Debian

5.0 Lenny and above

See the Ubuntu instructions, it is exactly the same on Debian.

Print/export
QR Code
QR Code app:apache-http-server:mod:mod_php5 (generated for current page)
Languages
Translations of this page: